Subject: Re: Git/Mercurial interoperability (and what about bzr?)

From: Theodore Tso <[email-masked]>
Date: Sat, 1 Nov 2008 21:13:28 -0400

On Sat, Nov 01, 2008 at 10:51:51AM -0700, Linus Torvalds wrote:
> 
> 
> On Sat, 1 Nov 2008, Theodore Tso wrote:
> > 
> > .hgtags is stored as a versioned file in Mercurial.  That's one of the
> > problems, and it leads to no shortage of headaches.
> 
> I told people this was insane long long ago, and I thought the hg people 
> had learnt to use local tags. They act sanely, as far as I know (ie they 
> act the same way git tags do).
> 
> Of course, the problem with hg local tags is that hg apparently has no 
> sane way to _propagate_ such local tag-space information from one 
> repository to another. But that's purely a problem with hg itself. I don't 
> know why that hasn't gotten fixed.

Yeah, well, hg calls them _local_ tags, and so people consider that by
design, they aren't supposed to be propagated outside of the local
repository.  As I recall, hg doesn't support GPG signing local tags,
for the same reason.

							- Ted